org.apache.sling.superimposing

## Interface SuperimposingManager

All Known Implementing Classes:
  SuperimposingManagerImpl

    public interface SuperimposingManager

Manages the resource registrations for the `SuperimposingResourceProviderImpl`. Provides read-only access to all registered providers.

### Method Summary

Methods
`Iterator<SuperimposingResourceProvider>` `getRegisteredProviders()`
`boolean` `isEnabled()`

### Method Detail

#### isEnabled

    boolean isEnabled()

Returns:
  true if superimposing mode is enabled.

#### getRegisteredProviders

    Iterator<SuperimposingResourceProvider> getRegisteredProviders()

Returns:
  Iterator with all superimposing resource providers currently registered. Iterator is backed by a `ConcurrentHashMap` and is safe to access even if superimposing resource providers are registered or unregistered at the same time.